local handlings = {
{"mass"},
{"turnMass"},
{"dragCoeff"},
{"centerOfMass"},
{"percentSubmerged"},
{"tractionMultiplier"},
{"tractionLoss"},
{"tractionBias"},
{"numberOfGears"},
{"maxVelocity"},
{"engineAcceleration"},
{"engineInertia"},
{"driveType"},
{"engineType"},
{"brakeDeceleration"},
{"brakeBias"},
{"ABS"},
{"steeringLock"},
{"suspensionForceLevel"},
{"suspensionDamping"},
{"suspensionHighSpeedDamping"},
{"suspensionUpperLimit"},
{"suspensionLowerLimit"},
{"suspensionFrontRearBias"},
{"suspensionAntiDiveMultiplier"},
{"seatOffsetDistance"},
{"collisionDamageMultiplier"},
{"monetary"},
{"modelFlags"},
{"handlingFlags"},
{"headLight"},
{"tailLight"},
{"animGroup"},
}

local configuration_1 = {maxVelocity=300,engineAcceleration=15,dragCoeff=3}
local configuration_2 = {maxVelocity=170,engineAcceleration=6,engineInertia=30,mass=800,turnMass=632}
--local sport_vehicles_handling = {engineAcceleration=18,dragCoeff=2.2}


for k,x in ipairs(handlings) do
	if configuration_1[x[1]] and getVehicleModelFromName("Tornado") then
 		setModelHandling(getVehicleModelFromName("Tornado"), x[1], configuration_1[x[1]])
	end
end

for k,x in ipairs(handlings) do
	if configuration_2[x[1]] and getVehicleModelFromName("mr. whoopee") then
 		setModelHandling(getVehicleModelFromName("mr. whoopee"), x[1], configuration_2[x[1]])
	end
end


--for i,v in ipairs(sport_vehicles) do
--	for k,x in ipairs(handlings) do
--		if sport_vehicles_handling[x[1]] and getVehicleModelFromName(v[1]) then
-- 			setModelHandling(getVehicleModelFromName(v[1]), x[1], sport_vehicles_handling[x[1]])
--		end
--	end
--end